%define name 		iproute2
%define version 	2.2.4
%define release 	6mdk

Summary: 	Advanced IP routing tools
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Copyright: 	GPL
Group:  	Networking/Other
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains the "ip", "tc" and "rtmon" tools. These tools can
be used to configure the advanced routing features of the 2.2 Linux kernel
such as policy routing, fast NAT and packet scheduling.

%prep

%setup -n %{name} 

%build
%__make

%install
rm -fr $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{sbin,%{_sysconfdir}/iproute2}

install -m 755 ip/ip $RPM_BUILD_ROOT/sbin
install -m 755 ip/rtmon $RPM_BUILD_ROOT/sbin
install -m 755 ip/rtacct $RPM_BUILD_ROOT/sbin
install -m 755 tc/tc $RPM_BUILD_ROOT/sbin
install -m 644 etc/iproute2/rt_protos $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
install -m 644 etc/iproute2/rt_realms $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
install -m 644 etc/iproute2/rt_scopes $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
install -m 644 etc/iproute2/rt_tables $RPM_BUILD_ROOT%{_sysconfdir}/iproute2


%clean
[ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;


%files
%defattr (-,root,root)
/sbin/*
%dir %{_sysconfdir}/iproute2
%config(noreplace) %{_sysconfdir}/iproute2/rt_protos
%config(noreplace) %{_sysconfdir}/iproute2/rt_realms
%config(noreplace) %{_sysconfdir}/iproute2/rt_scopes
%config(noreplace) %{_sysconfdir}/iproute2/rt_tables
%doc README README.iproute2+tc RELNOTES 

%changelog

* Thu Aug 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-6mdk
- fix config files

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-5mdk
- BM

* Wed Jul 12 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.2.4-4mdk
- removed _sysconfdir 
- added %clean

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-3mdk
- fix a few typo (chrs scks :-) ) and make this spec short-circuit aware :
  *  _sysconfig/_sysconfdir
  *  creation of subdirs while installing
- Christian Zoffoli <czoffoli@linux-mandrake.com> : macroszifications

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-2mdk
- fix group and files section

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- mandrake build
- used latest release of 2.2.4 series / 000225
 
* Mon Apr 26 1999 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Added $RPM_OPT_FLAGS
 
* Fri Apr 23 1999 Damien Miller <damien@ibs.com.au>
- Built RPM  
